Schedule eUICC operations

Pre-release

Schedules one or more operations on the specified eUICC. Each array element represents a single operation request. This route returns HTTP 404 error for non-IoT eUICCs.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session. To obtain an auth_token, see the POST request to /api/v1/authenticate.

Path parameters

euicc_idintegerRequired

Request

This endpoint expects a list of objects.
actionobjectRequired
validity_periodintegerOptional1-86400Defaults to 86400
Seconds until expiry
iccid_with_luhnstringOptionalformat: "^89[0-9]{18}$"
Full ICCID including the Luhn check digit
activation_codestringOptional
Activation code
enablebooleanOptional
Flag whether downloaded profile should be enabled
rollbackbooleanOptional
Flag whether rollback mechanism should be triggered

Response headers

Response

Created, operations scheduled
idstringformat: "uuid"
actionobject
statusobject
creation_datestringformat: "date-time"
last_updated_atstringformat: "date-time"
userobject
expiry_datestringformat: "date-time"
finalization_datestringformat: "date-time"
errorobject
iccid_with_luhnstringformat: "^89[0-9]{18}$"
Full ICCID including the Luhn check digit

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error